using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Basis.Filter
{
    public class MbePaketPrüfungFilter : Filter
    {
        public bool ZeitraumBegrenzen { get; set; } = true;
        public DateTime Von { get; set; }
        public DateTime Bis { get; set; }

        public MbePaketPrüfungFilter()
        {
            DateTime now = DateTime.Now.AddMonths(-1);

            Von = new DateTime(now.Year, now.Month, 1);
            Bis = new DateTime(now.Year, now.Month, DateTime.DaysInMonth(now.Year, now.Month));
        }
        public override string ToSqlQuery(FbController2 fbController)
        {
            throw new NotImplementedException();
        }

        protected override void BuildQueryConditions(FbController2 fbController)
        {
            throw new NotImplementedException();
        }
    }
}
